HPL_broadcast(3)

NAME
HPL_broadcast - Broadcast operation.

SYNOPSIS
#include "hpl.h"

int HPL_broadcast( void * BUFFER, const int COUNT, const HPL_T_TYPE DTYPE, const int ROOT, MPI_Comm COMM );

DESCRIPTION
HPL_broadcast broadcasts a message from the process with rank ROOT to all processes in the group.

ARGUMENTS

BUFFER  (local input/output)    void *
    On entry, BUFFER points to the buffer to be broadcast. On exit, this array contains the broadcast data and is identical on all processes in the group.

COUNT   (global input)          const int
    On entry, COUNT indicates the number of entries in BUFFER. COUNT must be at least zero.

DTYPE   (global input)          const HPL_T_TYPE
    On entry, DTYPE specifies the type of the buffers operands.

ROOT    (global input)          const int
    On entry, ROOT is the coordinate of the source process.

COMM    (global/local input)    MPI_Comm
    The MPI communicator identifying the process collection.

SEE ALSO
HPL_reduce (3), HPL_all_reduce (3), HPL_barrier (3), HPL_min (3), HPL_max (3), HPL_sum (3).